> ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # Get an IP access rule by rule ID > Retrieves an IP access rule by its unique ID. ## OpenAPI ````json GET /v1alpha/ip-acl/{id} { "openapi": "3.0.1", "info": { "contact": { "email": "support@torq.io", "name": "torq.io", "url": "https://torq.io" }, "title": "Torq Public API[production]", "version": "${DH_DEPLOY_VERSION}" }, "servers": [ { "url": "https://api.torq.io/public", "description": "US Environment" }, { "url": "https://api.eu.torq.io/public", "description": "European Enviornment" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "Files" }, { "name": "ActivityLogs" }, { "name": "AgentsHubService" }, { "name": "Users" }, { "name": "ApiKeys" }, { "name": "AuditLogs" }, { "name": "ContextGraph" }, { "name": "Executions" }, { "name": "ShareRequests" }, { "name": "StepRunners" }, { "name": "Integrations" }, { "name": "IPAccessService" }, { "name": "RolesService" }, { "name": "Secrets" }, { "name": "SecuritySettingsService" }, { "name": "ClaimMappings" }, { "name": "IdpSsoService" }, { "name": "Workflows" }, { "name": "Workspaces" }, { "name": "WorkspaceVariables" }, { "name": "Auto Triage Alerts" }, { "name": "Auto Triage Guidance" }, { "name": "Auto Triage Alert History" }, { "name": "Auto Triage Verdict Actions" }, { "name": "Cases" }, { "name": "Cases Custom Fields" }, { "name": "Cases Notes" }, { "name": "ExtendedCaseService" }, { "name": "Cases Attachments" }, { "name": "Observables" }, { "name": "Cases Observables" }, { "name": "CaseSearchService" }, { "name": "Cases Tasks" }, { "name": "Cases Task Templates" }, { "name": "Cases Links" }, { "name": "Cases Events" }, { "name": "Cases Runbooks" } ], "externalDocs": { "description": "Torq Documentation", "url": "https://learn.torq.io" }, "x-original-swagger-version": "2.0", "paths": { "/v1alpha/ip-acl/{id}": { "get": { "description": "Retrieves an IP access rule by its unique ID.", "operationId": "IPAccessService_GetIPAccessRule", "parameters": [ { "description": "The ID of the IP access rule to be retrieved.", "in": "path", "name": "id", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1alphaGetIPAccessRuleResponse" } } }, "description": "IP access rule was retrieved successfully." }, "401": { "content": { "application/json": { "schema": { "type": "object" } } }, "description": "Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token." }, "403": { "content": { "application/json": { "schema": { "type": "object" } } }, "description": "Insufficient permissions. Only a workspace Owner can retrieve an IP access rule." }, "404": { "content": { "application/json": { "schema": { "type": "object" } } }, "description": "IP access rule not found." } }, "summary": "Retrieve an IP access rule by rule ID.", "tags": [ "IP Access Rules" ] } } }, "components": { "schemas": { "v1alphaGetIPAccessRuleResponse": { "properties": { "rule": { "$ref": "#/components/schemas/v1alphaIPAccessRule" } }, "type": "object" }, "v1alphaIPAccessRule": { "description": "Represents an IP access control rule for a workspace.\nAllows access to workspace resources only from specific IP addresses or ranges.", "properties": { "id": { "description": "The unique identifier for the IP access rule.", "type": "string" }, "ip": { "description": "The IP address or range for the rule. Must be a valid IPv4 address (e.g., 192.168.1.1) or CIDR range (e.g., 192.168.1.0/24). IPv6 is not supported.", "type": "string" }, "description": { "description": "The IP access rule description. This optional parameter has a 1000-character limit.", "type": "string" }, "created_by": { "description": "The email address of the user who created the IP access rule. Automatically generated and cannot be edited.", "readOnly": true, "type": "string" }, "created_at": { "description": "The timestamp when the IP access rule was created. Automatically generated and cannot be edited.", "format": "date-time", "readOnly": true, "type": "string" }, "updated_at": { "description": "The timestamp of the last update to the IP access rule. Automatically generated and cannot be edited.", "format": "date-time", "readOnly": true, "type": "string" }, "updated_by": { "description": "The email address of the user who last updated the IP access rule. Automatically generated and cannot be edited.", "readOnly": true, "type": "string" } }, "type": "object" } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "64fb4b65-44d8-4304-881c-b1f8b6b3100a" } } } } ````